Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class InstallTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.InstallTask

Deprecated. Replaced by DeployTask

public class InstallTask
extends AbstractCatalinaTask

Ant task that implements the `/install` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Revision: 1.4 $ $Date: 2004/02/27 14:58:40 $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `config` Deprecated. URL of the context configuration file for this application, if any.
`protected java.lang.String` | `path` Deprecated. The context path of the web application we are managing.
`protected java.lang.String` | `war` Deprecated. URL of the web application archive (WAR) file, or the unpacked directory containing this application, if any.

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`InstallTask()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Execute the requested operation.
`java.lang.String` | `getConfig()` Deprecated.
`java.lang.String` | `getPath()` Deprecated.
`java.lang.String` | `getWar()` Deprecated.
`void` | `setConfig(java.lang.String config)` Deprecated.
`void` | `setPath(java.lang.String path)` Deprecated.
`void` | `setWar(java.lang.String war)` Deprecated.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected java.lang.String config

  Deprecated.
  URL of the context configuration file for this application, if any.

### path

    protected java.lang.String path

  Deprecated.
  The context path of the web application we are managing.

### war

    protected java.lang.String war

  Deprecated.
  URL of the web application archive (WAR) file, or the unpacked directory containing this application, if any.

Constructor Detail

### InstallTask

    public InstallTask()

  Deprecated.

Method Detail

### getConfig

    public java.lang.String getConfig()

  Deprecated.

### setConfig

    public void setConfig(java.lang.String config)

  Deprecated.

### getPath

    public java.lang.String getPath()

  Deprecated.

### setPath

    public void setPath(java.lang.String path)

  Deprecated.

### getWar

    public java.lang.String getWar()

  Deprecated.

### setWar

    public void setWar(java.lang.String war)

  Deprecated.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Deprecated.
  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.